import axios from 'axios';
import { httpHeaders } from '../constants';
export default class Service {
    static getHttp() {
        const http = axios.create({ baseURL: '../api/machine_learning/', headers: httpHeaders });
        http.interceptors.response.use(response => response, error => Promise.reject(error.response && error.response.data ? error.response.data : error));
        return http;
    }
}
Service.http = Service.getHttp();
