"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MlComponent_1 = require("./MlComponent");
class Models extends MlComponent_1.MlComponent {
    getAll() {
        return this._get('/model');
    }
    get(name) {
        return this._get(`/model/${encodeURIComponent(name)}`);
    }
    create(model, credentials) {
        return this._put('/model', model, { auth: credentials });
    }
    update(model, credentials) {
        return this._put(`/model/${encodeURIComponent(model.name)}`, model, { auth: credentials });
    }
    delete(name) {
        return this._delete(`/model/${encodeURIComponent(name)}`);
    }
}
exports.default = Models;
