"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Routes_1 = require("./Routes");
class JobRoutes extends Routes_1.default {
    registerRoutes(server) {
        server.route({
            method: 'GET',
            path: '/',
            handler: (req, reply) => this.sirenMl.jobs.getAll().then(reply).catch(reply)
        });
        server.route({
            method: 'GET',
            path: '/{id}',
            handler: (req, reply) => this.sirenMl.jobs.get(req.params.id).then(reply).catch(reply)
        });
    }
}
exports.default = JobRoutes;
