/* eslint-disable import/no-unresolved */
// The transformers have to be registered before the axios.create is invoked.
// The precedence is not a problem if axios is being used like a Singleton but when you are creating a new instance of axios,
// any config changes such as registration of transformation, etc. need to happen before creation of the instance.
import './SetupEsResponseAdapter';
import React from 'react';
import MlRouter from './MlRouter';
import { HashRouter } from 'react-router-dom';
import { AppDependencies } from './AngularJsDependencies';
// @ts-ignore
import chrome from 'ui/chrome';
import 'ui/autoload/styles';
import 'ui/kibi/styles/kibi.less';
// Need to import these to make saved_object_finder work
import 'ui/directives/kbn_src';
import 'plugins/kibana/discover';
import 'ui/directives/saved_object_finder';
import 'ui/directives/paginate';
import { render, unmountComponentAtNode } from 'react-dom';
import 'whatwg-fetch';
import '@elastic/eui/dist/eui_theme_light.css';
import '@elastic/charts/dist/theme_only_light.css';
import './styles.less';
import 'ui/i18n';
// @ts-ignore
import { SavedObjectsClientProvider } from 'ui/saved_objects'; // eslint-disable-line import/no-unresolved
// @ts-ignore
import { QueryBuilderFactory } from 'query-builder';
chrome.setRootTemplate('<div></div>')
    .setRootController('app', ($scope, $element, createNotifier, Private) => {
    render(<AppDependencies.Provider value={{
        notifier: createNotifier('Machine Learning'),
        queryBuilder: Private(QueryBuilderFactory),
        savedObjectsClient: Private(SavedObjectsClientProvider)
    }}>
        <HashRouter>
          <MlRouter />
        </HashRouter>
      </AppDependencies.Provider>, $element[0]);
    $scope.$on('$destroy', () => unmountComponentAtNode($element[0]));
});
