/* eslint-disable import/no-unresolved */
// @ts-ignore Loaded from kibi-internal
import { getInjected } from 'ui/chrome';
export const sirenMlIndex = 'sirenml-monitor*';
export function getMlOutputIndex(model) {
    const sanitizedModelName = model
        .toLowerCase()
        .replace(/[\u0080-\uFFFF\s"*\\<|,>/?#:%+]+/g, '-')
        .replace(/^-+/, '') // Trim dashes at start
        .replace(/-+$/, ''); // Trim dashes at end
    return `ml-model-${sanitizedModelName}-*`;
}
export const setMlPageTitle = (pageTitle) => {
    const { companyName } = getInjected('whiteLabellingConstants');
    const title = `Machine Learning - ${companyName}`;
    document.title = pageTitle ? `${pageTitle} - ${title}` : title;
};
export const httpHeaders = {
    'Content-Type': 'application/json',
    'kbn-xsrf': 'anything',
    'Accept': 'application/json, text/plain, */*'
};
export const COLOURS = {
    blue: '#2B70F7',
    lightblue: '#A8E0F8',
    red: '#FF270F',
    orange: '#FF9B00',
    yellow: '#C7A53A',
    lightyellow: '#F1E7CB'
};
export const trainingInProgressStatuses = [
    'pending',
    'loading data',
    'training',
    'hyperparameter optimisation',
    'testing',
];
