/* eslint-disable import/no-unresolved */
// @ts-ignore
import { VisVisTypeProvider } from 'ui/vis/vis_type';
// @ts-ignore
import { TemplateVisTypeProvider } from 'ui/template_vis_type/template_vis_type';
// @ts-ignore
import { VisTypesRegistryProvider } from 'ui/registry/vis_types';
// The transformers have to be registered before the axios.create is invoked.
// The precedence is not a problem if axios is being used like a Singleton but when you are creating a new instance of axios,
// any config changes such as registration of transformation, etc. need to happen before creation of the instance.
import '../SetupEsResponseAdapter';
// @ts-ignore
import image from '../assets/logo_black.svg';
import './ExplorerVisController';
VisTypesRegistryProvider.register(Private => {
    const VisType = Private(VisVisTypeProvider);
    const TemplateVisType = Private(TemplateVisTypeProvider);
    return new TemplateVisType({
        name: 'ml-explorer',
        title: 'ML Explorer',
        image,
        description: 'Display the output from models setup in the Machine Learning app',
        category: VisType.CATEGORY.SIREN,
        template: '<explorer-vis/>',
        params: {
            defaults: {
                handleNoResults: true,
            }
        },
        requiresSearch: false,
    });
});
