"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MlComponent {
    constructor(sirenMl, httpService) {
        this.sirenMl = sirenMl;
        this.http = httpService;
    }
    _get(endpoint, config) {
        return this.http.get(endpoint, config)
            .then(response => response.data);
    }
    _post(endpoint, data, config) {
        return this.http.post(endpoint, data, config)
            .then(response => response.data);
    }
    _put(endpoint, data, config) {
        return this.http.put(endpoint, data, config)
            .then(response => response.data);
    }
    _delete(endpoint, config) {
        return this.http.delete(endpoint, config).then(() => undefined);
    }
}
exports.MlComponent = MlComponent;
